
<%= form_for type, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='security_<%=security.type%>>'>
  <legend><%= security.describe_type %> Parameters</legend>
  <%= f.hidden_field :id %>

  <h4>Base Parameters</h4>
  <%= f.select :type, SecurityDerivative.types_for_form, :selected=>f.object.type %><br/>
  <%= f.select :direction, SecurityDerivative.directions_for_form %><%= label type, 'Anticipated Direction of Underlying' %><br/>
  <%= f.select :id_security_underlying, @select_securities.collect{|s| [s.to_s_with_symbol, s.id]} %><%= label type, 'Underlying Security.' %><br/>
  <%= f.date_field :time_inception%><%= label type, 'Date of Inception.' %><br/>
  <%= f.date_field :time_end%><%= label type, 'End of Contract.' %><br/>

  <h4>Additional Conditions</h4>
  <%= f.number_field :strike_price, :min=>0.001, :step=>1 %><%= label type, 'Strike Price, ie for Options or Warrants.' %><br/>
  <%= f.number_field :subscription_ratio, :min=>0.001, :step=>0.001  %><%= label type, 'Quantity-Ratio of Derivative to Underlying' %><br/>
  <%= f.check_box :is_leveraged %><%= f.label :is_leveraged, 'Implies Leverage?' %><br/>
  <%= f.check_box :is_knock_out %><%= f.label :is_knock_out, 'Has a Knock Out condition?' %><br/>

  <h4>Trading Properties</h4>
  <%= f.check_box :is_dead %><%= f.label :is_dead, 'Trading stopped by the issuer?' %><br/>

  </br>
  <%= f.text_area :comment, :cols=>45, :rows=>15, :placeholder=>'Additional Remarks?' %>
  </br>
  <%= f.submit 'Save Parameters' %>
 </fieldset>
<% end %>
